"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Text = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _LanguageService = _interopRequireDefault(require("../../services/LanguageService"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Text = props => {
  const {
    children,
    translationType
  } = props;
  const PropsX = props;
  delete PropsX.children;
  delete PropsX.translationType;
  const {
    translateText,
    translate
  } = (0, _LanguageService.default)();

  switch (translationType) {
    case 'none':
      return /*#__PURE__*/_react.default.createElement(_reactNative.Text, PropsX, children);

    case 'id':
      return /*#__PURE__*/_react.default.createElement(_reactNative.Text, PropsX, translate(children));

    case 'default':
      return /*#__PURE__*/_react.default.createElement(_reactNative.Text, PropsX, translateText(children));

    default:
      return /*#__PURE__*/_react.default.createElement(_reactNative.Text, PropsX, translateText(children));
  }
};

exports.Text = Text;
//# sourceMappingURL=Text.js.map