import React from 'react';
import useLanguage from '../../services/LanguageService';
import { Label as LabelX } from 'native-base';
export const Label = props => {
  const {
    children,
    translationType
  } = props;
  const PropsX = props;
  delete PropsX.children;
  delete PropsX.translationType;
  const {
    translateText,
    translate
  } = useLanguage();

  switch (translationType) {
    case 'none':
      return /*#__PURE__*/React.createElement(LabelX, PropsX, children);

    case 'id':
      return /*#__PURE__*/React.createElement(LabelX, PropsX, translate(children));

    case 'default':
      return /*#__PURE__*/React.createElement(LabelX, PropsX, translateText(children));

    default:
      return /*#__PURE__*/React.createElement(LabelX, PropsX, translateText(children));
  }
};
//# sourceMappingURL=Label.js.map