import React from 'react';
import { Text as TextX } from 'react-native';
import useLanguage from '../../services/LanguageService';
export const Text = props => {
  const {
    children,
    translationType
  } = props;
  const PropsX = props;
  delete PropsX.children;
  delete PropsX.translationType;
  const {
    translateText,
    translate
  } = useLanguage();

  switch (translationType) {
    case 'none':
      return /*#__PURE__*/React.createElement(TextX, PropsX, children);

    case 'id':
      return /*#__PURE__*/React.createElement(TextX, PropsX, translate(children));

    case 'default':
      return /*#__PURE__*/React.createElement(TextX, PropsX, translateText(children));

    default:
      return /*#__PURE__*/React.createElement(TextX, PropsX, translateText(children));
  }
};
//# sourceMappingURL=Text.js.map